
<h1 class="title">	<?= __('escorts') ?></h1>
<?

if(count($this->escorts) > 0):
foreach($this->escorts as $escort):
    $escort = new Model_EscortV2Item($escort);
       

?>
<div class="escort">
    <p class="showname"><?= $escort->showname ?></p>
    <a href="<?=$this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id ), true);?>"><img src="<?= $escort->getMainPhoto()->getUrl('m95') ?>" width="95" height="129" alt="" /></a>
    
    <div>
        
        <a href="<?= $this->getLink('remove-from-favorites',array('escort_id'=> $escort->id));?>" class="remove">
        <img src="/m/i/remove.png" width="15" height="15" alt="" />
        Löschen</a>
    </div>
</div>
<? endforeach; ?>

<div class="clear"></div>

<?
$config = Zend_Registry::get('mobile_config');
$config = $config['escorts'];

$pages_count = ceil($this->count / $config['perPage']);

$uri = $_SERVER['REQUEST_URI'];
$uri = preg_replace('#^en/#', '', $uri);
$pos = strpos($uri, '?page=');
if ($pos !== FALSE)
	$uri = substr($uri, 0, $pos);

?>
<? if( $pages_count != 1 ): ?>
<div class="paging-list">
	<? $pages = $this->paging($this->count, $this->page, $config['perPage'], 5, 2); ?>
	<? if ( 1 < $this->page): ?>
	<? $this->page == 2 ? $p = null : $p = '?page=' . ($this->page - 1); ?>
    <a href="<?=$this->getLink('pager',array('page' => $p,'request_url' => $uri ), true)?>" > <?= $this->t('previous') ?></a>
	<? endif ?>

	<? foreach ( $pages as $page ): ?>

	<? if ( $this->page == $page ): ?>
	<span class="active"><?= $page ?></span>
	<? else: ?>
	<? $page == 1 ? $p = null : $p = '?page=' . $page ?>
    <a class="number" href="<?=$this->getLink('pager',array('page' => $p,'request_url' => $uri ), true)?>" ><?= $page ?></a>
	<? endif ?>

	<? endforeach ?>

	<? if ( $pages_count > $this->page): ?>
	<? $p = '?page=' . ($this->page + 1); ?>
	<a href="<?=$this->getLink('pager',array('page' => $p,'request_url' => $uri ), true)?>" ><?= $this->t('next') ?> </a>
	<? endif ?>
</div>
<? endif; ?>


<div class="clear"></div>

<? else: ?>
	<? if ( ! count($this->premiums) ): ?>
	<h2 class="no-escort"><?= $this->t('no_escorts_found') ?></h2>
	<? endif; ?>
	<div class="clear"></div>
<? endif; ?>


